package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 微信商户应用信息 
 * </p>
 *
 * @author yansen
 * @since 2020-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaWxpay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "wxpay_id", type = IdType.INPUT)
    private Integer wxpayId;

    /**
     * 服务商应用id
     */
    private String appid;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * 回调地址
     */
    private String notifyUrl;
}
