package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.binarywang.wxpay.exception.WxPayException;
import com.yunzhi.niucai.common.ResponseBean;
import com.yunzhi.niucai.entity.TaOrder;
import com.yunzhi.niucai.entity.TaWxpay;
import com.yunzhi.niucai.mapper.TaWxpayMapper;
import com.yunzhi.niucai.service.ITaOrderService;
import com.yunzhi.niucai.service.ITaWxpayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigInteger;
import java.security.SecureRandom;

/**
 * <p>
 * 微信商户应用信息  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-28
 */
@Service
public class TaWxpayServiceImpl extends ServiceImpl<TaWxpayMapper, TaWxpay> implements ITaWxpayService {

    @Autowired
    private ITaOrderService taOrderService;

    /**
     * 微信支付H5下单操作
     *
     * @param taOrder
     * @param remoteAddr
     * @return
     */
    @Override
    public ResponseBean orderPaying(TaOrder taOrder, String remoteAddr, String agent) throws WxPayException {
//        // 获取微信支付服务
//        WxPayServiceImpl wxPayService = wxpayFactory.getService(taOrder.getShopId());
//        // 下单
//        String outTradeNo = taOrder.getOrderId() + "-" + randomString(3);
//        String subject = "微信支付";
//        WxPayUnifiedOrderRequest orderRequest = new WxPayUnifiedOrderRequest();
//        orderRequest.setBody(subject);
//        orderRequest.setOutTradeNo(outTradeNo);
//        orderRequest.setTotalFee(taOrder.getCharge());//元转成分
//        orderRequest.setOpenid("openId");
//        orderRequest.setSpbillCreateIp(remoteAddr);
//        orderRequest.setTradeType("MWEB");
//        String type = agent.contains("iPhone")||agent.contains("iPod")||agent.contains("iPad") ? "IOS" : "Android";
//        orderRequest.setSceneInfo("{\"h5_info\": {\"type\":\""+type+"\",\"app_name\": \"牛彩\",\"bundle_id\": \"com.tencent.wzryIOS\"}}");
//        WxPayMwebOrderResult result = wxPayService.createOrder(orderRequest);
//
//        // 更新状态
//        taOrder.setOutTradeNo(outTradeNo);
//        taOrder.setPayStatus(CommConstants.SRTATUS_PAYING);
//        taOrderService.updateById(taOrder);
//        return ResponseBean.success(result);
        return null;
    }

    @Override
    public String payCallback(String xmlResult) throws WxPayException {
//        // 获取微信支付服务
//        WxPayOrderNotifyResult result = WxPayOrderNotifyResult.fromXML(xmlResult);
//
//        // 加入自己处理订单的业务逻辑，需要判断订单是否已经支付过，否则可能会重复调用
//        String outTradeNo = result.getOutTradeNo();
//        String tradeNo = result.getTransactionId();
//        TaOrder taOrder = taOrderService.getOne(new QueryWrapper<TaOrder>().eq("out_trade_no", outTradeNo));
//        taOrder.setUpdateDate(LocalDateTime.now());
//        // 支付失败
//        if (!result.getResultCode().equals(CommConstants.WX_TRADE_STATUS_SUCCESS)){
//            taOrder.setPayStatus(CommConstants.SRTATUS_UNPAYED);
//            taOrderService.updateById(taOrder);
//            return WxPayNotifyResponse.success("处理成功");
//        }
//        //支付成功 更新为已支付状态
//        taOrder.setPayStatus(CommConstants.SRTATUS_EFFECTIVE);
//        taOrder.setTradeNo(tradeNo);
//        taOrderService.updateById(taOrder);
//        return WxPayNotifyResponse.success("处理成功!");
        return null;
    }

    /**
     * 生成随机数
     * @param length
     * @return
     */
    public String randomString(int length) {
        String str = new BigInteger(130, new SecureRandom()).toString(32);
        return str.substring(0, length);
    }
}
