package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdCity;
import com.yunzhi.niucai.mapper.TdCityMapper;
import com.yunzhi.niucai.service.ITdCityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 城市字典  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-10-05
 */
@Service
public class TdCityServiceImpl extends ServiceImpl<TdCityMapper, TdCity> implements ITdCityService {

    @Override
    public TdCity getByLevel(String name, int level) throws Exception {
        QueryWrapper<TdCity> queryWrapper = new QueryWrapper<>();
        queryWrapper.like("name", name);
        queryWrapper.eq("leveltype", level);

        return getOne(queryWrapper);
    }
}
