package com.yunzhi.niucai.wxpay.vo;


import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel(description = "WAP下单场景")
@Data
@Accessors(chain = true)
public class WapScene {

    @ApiModelProperty("WAP网站应用")
    @JSONField(name = "h5_info")
    Wap h5Info;

    @ApiModel(description = "WAP下单场景")
    @Data
    public static class Wap {
        @ApiModelProperty("场景类型: 固定 Wap")
        @JSONField(name = "type")
        String type;

        @ApiModelProperty("WAP 网站URL")
        @JSONField(name = "wap_url")
        String wapUrl;

        @ApiModelProperty("WAP 网站名")
        @JSONField(name = "wap_name")
        String wapName;
    }
}
