package com.yunzhi.niucai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.niucai.entity.TaCustomer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 客户 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
@Mapper
public interface TaCustomerMapper extends BaseMapper<TaCustomer> {

    IPage<TaCustomer> getByOrder(IPage<TaCustomer> pg, @Param("shopId") Integer shopId) throws Exception;

    IPage<TaCustomer> getByShop(IPage<TaCustomer> pg, @Param("shopId") Integer shopId) throws Exception;

    IPage<TaCustomer> getAllWithShop(IPage<TaCustomer> pg, @Param("shopId") Integer shopId) throws Exception;
}
