package com.yunzhi.niucai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.niucai.entity.TaCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.niucai.entity.TaShop;
import com.yunzhi.niucai.vo.SignUpParam;

/**
 * <p>
 * 客户 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
public interface ITaCustomerService extends IService<TaCustomer> {

    boolean signUp(SignUpParam signUpParam) throws Exception;

    TaCustomer getCustomerByPhone(String phone) throws Exception;

    boolean updateIdCard(TaCustomer taCustomer) throws Exception;

    IPage<TaCustomer> listCustomersOf(IPage<TaCustomer> pg, TaShop taShop, String from) throws Exception;
}
