package com.yunzhi.niucai.service;

import com.github.binarywang.wxpay.exception.WxPayException;
import com.yunzhi.niucai.common.ResponseBean;
import com.yunzhi.niucai.entity.TaOrder;
import com.yunzhi.niucai.entity.TaWxpay;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 微信商户应用信息  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-09-28
 */
public interface ITaWxpayService extends IService<TaWxpay> {

    /**
     * 微信支付H5下单操作
     * @param taOrder
     * @param remoteAddr
     * @return
     */
    ResponseBean orderPaying(TaOrder taOrder, String remoteAddr, String agent) throws WxPayException;

    String payCallback(String xmlResult) throws WxPayException;
}
