package com.yunzhi.niucai.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "店主注册参数")
@Data
public class ShopKeeperSignUp {
    @ApiModelProperty("店主姓名")
    String name;

    @ApiModelProperty("店主手机")
    String phone;

    @ApiModelProperty("手机验证码")
    String captcha;

    @ApiModelProperty("登录密码")
    String password;

    @ApiModelProperty("店铺名称")
    String shopName;

    @ApiModelProperty("所在省份")
    String province;

    @ApiModelProperty("所在城市")
    String city;

    @ApiModelProperty("详细地址")
    String address;

    @ApiModelProperty("经度")
    String lng;

    @ApiModelProperty("纬度")
    String lat;
}
