package com.yunzhi.niucai.wxpay.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel(description = "微信下单参数")
@Data
@Accessors(chain = true)
public class WxPayParam {

    @ApiModelProperty("总金额, 单位元, 2位小数到分")
    private Integer totalFee;

    @ApiModelProperty("商品的标题")
    private String body;

    @ApiModelProperty("唯一订单号")
    private String outTradeNo;

    @ApiModelProperty("通知地址")
    private String notifyUrl;

    @ApiModelProperty("交易起始时间，格式为yyyyMMddHHmmss")
    private String timeStart;

    @ApiModelProperty("交易结束时间，格式为yyyyMMddHHmmss")
    private String timeExpire;

    @ApiModelProperty("场景信息")
    private String sceneInfo;
}
